classification
Title: sqlite defines a few global symbols.
Type: Stage:
Components: Versions:
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: ghaering Nosy List: ghaering, loewis, pitrou
Priority: normal Keywords:

Created on 2008-06-13 08:00 by loewis, last changed 2008-09-12 22:40 by ghaering. This issue is now closed.

Files
File name Uploaded Description Edit
patch_sqlite3_global_symbols.dif ghaering, 2008-09-12 14:26 Patch renaming global symbols in sqlite3 module or making them static.
Messages (6)
msg68137 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-06-13 08:00
While most global symbols in the _sqlite3 module use a sqlite_ or
_sqlite_ prefix, some don't:
_enable_callback_tracebacks, converters, microprotocols_adapt,
microprotocols_add, psyco_adapters, psyco_microprotocols_adapt.

It would be good if these could be made static, or get their own prefix.
msg73031 - (view) Author: Gerhard Häring (ghaering) * (Python committer) Date: 2008-09-11 14:08
I've fixed that in the externally maintained pysqlite. I suppose it's
too late to bring this into 2.6 or 3.0, right?
msg73033 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-09-11 14:19
If they aren't part of a public API I think it's ok to fix them in
2.6/3.0. It is a bug fix, not a feature change.
msg73089 - (view) Author: Gerhard Häring (ghaering) * (Python committer) Date: 2008-09-12 14:26
Patch to Python 2.6 with Misc/NEWS entry if we want to close this now.
msg73117 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-12 18:48
The patch is fine, please try to apply it before rc1. If rc1 gets
missed, it should be defered to 2.7.
msg73147 - (view) Author: Gerhard Häring (ghaering) * (Python committer) Date: 2008-09-12 22:40
Committed in r66412.
History
Date User Action Args
2008-09-12 22:40:48ghaeringsetstatus: open -> closed
messages: + msg73147
2008-09-12 18:48:56loewissetresolution: accepted
messages: + msg73117
2008-09-12 14:26:22ghaeringsetfiles: + patch_sqlite3_global_symbols.dif
messages: + msg73089
2008-09-11 14:19:46pitrousetnosy: + pitrou
messages: + msg73033
2008-09-11 14:08:21ghaeringsetmessages: + msg73031
2008-06-13 08:00:45loewiscreate